import request from '@/utils/httpRequest'
import { BUSINESS_PATH as prefix } from "../AppPath";

export default class ProjectInfoService {
	list (param) {
		return request({
			url: prefix + '/jyProject/list',
			method: 'get',
			params: param
		})
	}
	getHaveProjectIds () {
		return request({
			url: prefix + '/jyProject/getHaveProjectIds',
			method: 'get'
		})
	}
	findContractPageList (params) {
		return request({
			url: prefix + '/jyProject/findContractPageList',
			method: 'get',
			params: params
		})
	}
	saveForm (inputForm) {
		return request({
			url: prefix + `/jyProject/saveForm`,
			method: 'post',
			data: inputForm
		})
	}
	findById (id) {
		return request({
			url: prefix + '/jyProject/findById',
			method: 'get',
			params: {id: id}
		})
	}

	updateStatusById (data) {
		return request({
			url: prefix + '/jyProject/updateStatusById',
			method: 'post',
			data: data
		})
	}

	delete (ids) {
		return request({
			url: prefix + '/jyProject/deleteById',
			method: 'get',
			params: {id: ids}
		})
	}
	deleteAll (ids) {
		return request({
			url: prefix + '/jyProject/delete',
			method: 'delete',
			params: {ids: ids}
		})
	}

	listByCreateId(param){
		return request({
			url: prefix + '/jyProject/getByCreate',
			method: 'get',
			params: param
		})
	}


}
